sc::Vertex Class Reference
Inheritance diagram for sc::Vertex:
[legend]
Collaboration diagram for sc::Vertex:
[legend]

## Public Member Functions

| Vertex (const SCVector3 &point, const SCVector3 &normal)
| Vertex (const SCVector3 &point)
const SCVector3 & | point () const
int | has_normal () const
const SCVector3 & | normal () const
void | set_point (const SCVector3 &p)
void | set_normal (const SCVector3 &p)
| operator SCVector3 & ()
void | print (std::ostream &o=ExEnv::out0())
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Additional Inherited Members

Protected Member Functions inherited from sc::RefCount
| RefCount (const RefCount &)
RefCount & | operator= (const RefCount &)

The documentation for this class was generated from the following file:

- vertex.h